Loading...
Searching...
No Matches
pdftron::SDF::DictIterator Class Reference

`#include <DictIterator.h>`

## Public Member Functions
void | Next ()
SDF::Obj | Key ()
SDF::Obj | Value ()
bool | HasCurrent ()
bool | HasNext ()
| DictIterator (const DictIterator &c)
DictIterator & | operator= (const DictIterator &other)
| ~DictIterator ()
void | Destroy ()

## Detailed Description

DictIterator is used to traverse key/value pairs in a dictionary. For example a DictIterator can be used to print out all the entries in a given Obj dictionary as follows:

DictIterator itr = dict.GetDictIterator();
while (itr.HasCurrent()) {
Obj key = itr.Key();
cout << key.GetName() << endl;
Obj value = itr.Value();
// ...
itr.Next()
}
pdftron::SDF::DictIterator::HasCurrent
bool HasCurrent()
pdftron::SDF::DictIterator::DictIterator
DictIterator(const DictIterator &c)
pdftron::SDF::DictIterator::Value
SDF::Obj Value()
pdftron::SDF::DictIterator::Key
SDF::Obj Key()
pdftron::SDF::DictIterator::Next
void Next()
pdftron::SDF::Obj
Definition Obj.h:41
pdftron::SDF::Obj::GetName
const char * GetName() const

Definition at line 32 of file DictIterator.h.

## Constructor & Destructor Documentation

## ◆ DictIterator()

pdftron::SDF::DictIterator::DictIterator | ( | const DictIterator & | c | ) |

Copy constructor.

## ◆ ~DictIterator()

pdftron::SDF::DictIterator::~DictIterator | ( |  | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::SDF::DictIterator::Destroy | ( |  | ) |

Frees the native memory of the object.

## ◆ HasCurrent()

bool pdftron::SDF::DictIterator::HasCurrent | ( |  | ) |

Returns
  true if the current iterator is not the end of the collection

## ◆ HasNext()

bool pdftron::SDF::DictIterator::HasNext | ( |  | ) |

Returns
  true if the current iterator is not the end of the collection Deprecated prefer HasCurrent()

## ◆ Key()

SDF::Obj pdftron::SDF::DictIterator::Key | ( |  | ) |

Returns
  the key of the current dictionary entry.

## ◆ Next()

void pdftron::SDF::DictIterator::Next | ( |  | ) |

Advances the iterator to the next element of the collection.

## ◆ operator=()

DictIterator & pdftron::SDF::DictIterator::operator= | ( | const DictIterator & | other | ) |

## ◆ Value()

SDF::Obj pdftron::SDF::DictIterator::Value | ( |  | ) |

Returns
  the value of the current dictionary entry.

The documentation for this class was generated from the following file:

- SDF/DictIterator.h